Subject: Re: bug#8724: 23.2; js-mode imenu should be more thorough

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Jun 2021 09:58:50 +0200

Daniel Colascione <[email-masked]> writes:

>> I propose 2 things: 
>>   - replace the name "unknown" with "Anonymous"
>>   - recurse into js--pitems-to-imenu for functions that define 
>>     child functions. 
>> 
>> The proposed new code for the defun is: 
>
> I'll see what I can do about looking at your code. In the meantime, it
> would be helpful if you could submit your changes as a patch against the
> latest code in trunk.

This was nine years ago -- was there any progress with this?  (It sounds
like a good change, but I haven't looked at the code.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no